#
# spec file for package rubygem-net-ssh
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-net-ssh
Version:        7.3.0
Release:        1.3
%define mod_name net-ssh
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%if 0%{suse_version} && 0%{suse_version} < 1550
%define rb_build_versions       ruby31       ruby27
%define rb_build_ruby_abis      ruby:3.1.0   ruby:2.7.0
%endif
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.6}
BuildRequires:  %{rubygem gem2rpm}
URL:            https://github.com/net-ssh/net-ssh
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Net::SSH: a pure-Ruby implementation of the SSH2 client protocol
License:        MIT

%description
Net::SSH: a pure-Ruby implementation of the SSH2 client protocol. It allows
you to write programs that invoke and interact with processes on remote
servers, via SSH2.

%prep

%build

%install
%gem_install \
  --no-rdoc --no-ri \
  --doc-files="CHANGES.txt LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- === 7.3.0 rc0
  * aes(128|256)gcm [#946]
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- === 7.2.2
  * ruby 3.3.0: base64 fix
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- === 7.2.1 rc1
  * feat: allow load of certkey from string [#926]
  * fix: fix for  Socket#recv returning nil on ruby 3.3.0 [#928]
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- === 7.2.0
  * Add debugging information for algorithm of pubkey in use [#918]
  === 7.2.0 rc1
  * Allow IdentityAgent as option to Net::SSH.start [#912]
  === 7.2.0 beta1
  * Support `chacha20-poly1305@opnessh.com` cypher if `RbNaCl` gem is installed [#908]
  === 7.1.0
  * Accept pubkey_algorithms option when starting a new connection [#891]
  === 7.1.0 beta1
  * Don't use the deprecated set_XXX methods on RSA keys. [#875]
  * Raise error when BCryptPbkdf fails [#876]
  === 7.0.1
  * Drop leftover debug statement [#866]
  === 7.0.0
  * BREAKING: Drop support for Ruby 2.5
  * Fix decoding of ecdsa-sha2-nistp256 private keys [#657, #854]
  * Fix missing require [#855]
  * Support `~` in the path to the SSH agent's unix socket [#850]
  * Add support for RSA client authentication with SHA-2 [a45f54]
  * openssl: DSA: don't hardcode expected signature size, see ruby/openssl#483 [23a15c]
  * Internal housekeeping (rubocop, codecov, remove travis, adding/improving tests)
* Sat Sep 24 2022 Marcus Rueckert <mrueckert@suse.de>
- limit to ruby 2.7 and 3.1 on leap
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.1
  see installed CHANGES.txt
  === 6.3.0 beta1
  * Support cert based host key auth, fix asterisk in known_hosts [#833]
  * Support kex dh-group14-sha256  [#795]
  * Fix StrictHostKeyChecking ssh config parameter translation [#765]
* Fri Apr 30 2021 Dan Čermák <dcermak@suse.com>
- New upstream release 6.2.0.rc2
* Mon Nov 16 2020 Dan Čermák <dcermak@suse.com>
  New upstream release 6.2.0 rc1
  * rsa-sha2-512, rsa-sha2-256 host_key algs [#771]
  * JRuby aes*-ctr suppport [#767]
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 6.1.0
  see installed CHANGES.txt
  === 6.1.0
  * adapt to ssh's default bahaviors when no username is provided.
    When Net::SSH.start user is nil and config has no entry
    we default to Etc.getpwuid.name() instead of Etc.getlogin(). [#749]
  === 6.1.0.rc1
  * Make sha2-{256,512}-etm@openssh.com MAC default again [#761]
  * Support algorithm subtraction syntax from ssh_config [#751]
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 6.0.2
  see installed CHANGES.txt
  === 6.0.2
  * Fix corrupted hmac issue in etm hmac [#759]
  === 6.0.1
  * Make sha2-{256,512}-etm@openssh.com MAC opt-in as they seems to have issues [#757]
  === 6.0.0
  * Support empty lines and comments in known_hosts [donoghuc, #742]
  * Add sha2-{256,512}-etm@openssh.com MAC algorithms [graaff, #714]
  === 6.0.0 beta2
  * Support :certkeys and CertificateFile configuration option  [Anders Carling, #722]
  === 6.0.0 beta1
  * curve25519sha256 support [Florian Wininger ,#690]
  * disabled insecure algs [Florian Wininger , #709]
  === 5.2.0
* Thu Mar 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.0
  see installed CHANGES.txt
  === 5.2.0.rc3
  * Fix check_host_ip read from config
  * Support ssh-ed25519 in kown hosts
  === 5.2.0.rc2
  * Read check_host_ip from ssh config files
  === 5.2.0.rc1
  * Interpret * and ? in know_hosts file [Romain Tartière, #660]
  * New :check_host_ip so ip checking can be disabled in known hosts [Romain Tartière, #656]
  === 5.1.0
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.1.0
  see installed CHANGES.txt
  === 5.1.0.rc1
  * Support new OpenSSH private key format for rsa - bcrypt for rsa (ed25519 already supported) [#646]
  * Support IdentityAgent is ssh config [Frank Groeneveld, #645]
  * Improve Match processin in ssh config [Aleksandrs Ļedovskis, #642]
  * Ignore signature verification when verify_host_key is never [Piotr Kliczewski, #641]
  * Alg preference was changed to prefer stronger encryptions  [Tray, #637]
  === 5.0.2
  * fix ctr for jruby [#612]
* Sun Jun 17 2018 factory-auto@kulow.org
- updated to version 5.0.2
  see installed CHANGES.txt
* Sun Jun  3 2018 factory-auto@kulow.org
- updated to version 5.0.1
  see installed CHANGES.txt
  === 5.0.1
  * default_keys were not loaded even if no keys or key_data options specified [#607]
* Fri Jun  1 2018 factory-auto@kulow.org
- updated to version 5.0.0
  see installed CHANGES.txt
  === 5.0.0
  * Breaking change: ed25519 now requires ed25519 gem instead of RbNaCl gem [#563]
  * Verify_host_key options rename (true, false, :very, :secure depreacted new equivalents are :never, :accept_new_or_local_tunnel :accept_new :always) [Jared Beck, #595]
  === 5.0.0.rc2
  * Add .dll extensions to dlopen on cygwin [#603]
  * Fix host certificate validation [#601]
  === 5.0.0.rc1
  * Fix larger than 4GB file transfers [#599]
  * Update HTTP proxy to version 1.1 [Connor Dunn, #597]
  === 5.0.0.beta2
  * Support for sha256 pubkey fingerprint [Tom Maher, #585]
  * Don't try to load default_keys if key_data option is used [Josh Larson, #589]
  * Added fingerprint_hash defaulting to SHA256 as fingerprint format, and MD5 can be used as an option [Miklós Fazekas, #591]
  === 5.0.0.beta1
  * Don't leave proxy command as zombie on timeout [DimitriosLisenko, #560]
  * Use OpenSSL for aes*-ctr for up to 5x throughput improvement [Miklós Fazekas, Harald Sitter, #570]
  * Optimize slice! usage in CTR for up to 2x throughput improvement [Harald Sitter, #569]
  * Replace RbNaCl dependency with ed25519 gem [Tony Arcieri ,#563]
  * Add initial Match support [Kasumi Hanazuki,  #553]
* Mon Sep 11 2017 coolo@suse.com
- updated to version 4.2.0
  see installed CHANGES.txt
  === 4.2.0.rc2
  * Fix double close bug on auth failure (or ruby 2.2 or earlier) [#538]
  === 4.2.0.rc1
  * Improved logging with proxy command [Dmitriy Ivliev, #530]
  * Close transport on proxy error [adamruzicka, #526]
  * Support multiple identity files [Kimura Masayuki, #528]
  * Move `none` cipher to end of cipher list [Brian Cain, #525]
  * Deprecate `:paranoid` in favor of `:verify_host_key` [Jared Beck, #524]
  * Support Multile Include ssh config files [Kasumi Hanazuki, #516]
  * Support Relative path in ssh confif files [Akinori MUSHA, #510]
  * add direct-streamlocal@openssh.com support in Forward class [Harald Sitter, #502]
* Sun Feb 19 2017 coolo@suse.com
- updated to version 4.1.0
  see installed CHANGES.txt
  === 4.1.0
  === 4.1.0.rc1
  * ProxyJump support [Ryan McGeary, #500]
  * Fix agent detection on Windows [Christian Koehler, #495]
  === 4.1.0.beta1
  * Fix nil error when libsodium is not there [chapmajs ,#488]
  * SSH certificate support for client auth [David Bartley, #485]
* Sat Jan 14 2017 coolo@suse.com
- updated to version 4.0.1
  see installed CHANGES.txt
  === 4.0.1
  === 4.0.1.rc2
  * ENV["HOME"] might be empty so filter non expandable paths [Matt Casper, #351]
  === 4.0.1.rc1
  * support of rbnacl 4.0 and better error message [#479]
  * support include in config files [Kimura Masayuki, #475]
  * fixed issue with ruby 2.2 or older on windows [#472]
  === 4.0.0
* Tue Dec 27 2016 coolo@suse.com
- updated to version 4.0.0
  see installed CHANGES.txt
* Mon Jun 20 2016 coolo@suse.com
- updated to version 3.2.0
  see installed CHANGES.txt
  === 3.2.0
  * Added agent_socket_factory option [Alon Goldboim]
  * Send KEXINIT asap don't wait for server [Miklos Fazekas]
  * Close channels in case server closed connection [Miklos Fazekas]
* Wed Apr  6 2016 coolo@suse.com
- updated to version 3.1.1
  see installed CHANGES.txt
  === 3.1.1
  * added missing etc require
* Sat Mar 19 2016 coolo@suse.com
- updated to version 3.1.0
  see installed CHANGES.txt
  === 3.1.0
  === 3.1.0.rc1
  * fix Secure#verify [Jean Boussier]
  * use the smallest of don't spend longer time than keepalive if it's configured [Eugene Kenny]
  === 3.1.0.beta3
  * forward/on_open_failed should stop listning closed socket otherwise it locks #269 [Miklos Fazekas,Scott McGillivray]
  * fix incorrect pattern handling in config files #310 [Miklos Fazekas]
  === 3.1.0.beta2
  * trying to execute something on a not yet opend channel throws nicer messag [Miklos Fazekas]
  * calling close on a not opened channel marks the channel for close [Miklos Fazekas]
  * read keepalive configuration from ssh config files [Miklos Fazekas]
  * send client version on hadshake before waiting for server to reduce handshake time [Miklos Fazekas]
  * allow custom Net::SSH::KnownHosts implementations [Jean Boussier]
  * memoize known host so we only search it once per session [Jean Boussier, Miklos Fazekas]
* Thu Jan 21 2016 coolo@suse.com
- updated to version 3.0.2
  see installed CHANGES.txt
  === 3.0.2
  === 3.0.2.rc1
  * fixed rare WaitWritable error with proxy commands [Miklos Fazkas, Andre Meij]]
  * if Net::SSH.start user is nil and config has no entry we default to Etc.getlogin
  * Bugfix: CHANNEL_CLOSE was sent before draining ouput buffer #280 [Christopher F. Auston]
* Sat Sep 26 2015 coolo@suse.com
- updated to version 3.0.1
  see installed CHANGES.txt
  === 3.0.1
  === 3.0.1.rc1
  * Breaking change from 2.* series: exec! without block now returns empty string instread of nil if command has no output [https://github.com/net-ssh/net-ssh/pull/273]
  * Support remote_user as %%r in proxy commands [Dominic Scheirlinck]
  * Raise Net::SSH::ConnectionTimeout from connection timeout [Carl Hoerberg]
  === 3.0.0.rc1
  * SemVer: Major version change because of dropping of ruby 1.9
  === 2.10.1.rc2
  * Win: Use fiddle on ruby 2.1 too [Charlie Savage]
  === 2.10.1.rc1
  * Added ruby 2.0 requirement to gemspec [Alex Schultz]
* Mon Aug  3 2015 coolo@suse.com
- updated to version 2.10.0
  see installed CHANGES.txt
  === 2.10.0
  === 2.10.0-beta2
  * Fix :passphrase option with :non_interactive [Jeremy Stanley]
  * Use Socket.tcp with connect_timeout instead of Timeout::timeout [Carl Hörberg]
  * Support for hostname hashes [Jef Mathiot]
  * Ruby 1.9.3 is no longer supported but should moslty work expect for stuff like connect_timeout
  === 2.10.0-beta1
  * Fix could not parse PKey error. [Andrey Voronkov]
  * Workaround for threading issue in MRI + singleton method declaration [Matt Brictson]
  * Configuration change: we no longer append all supported algorithms, this is so you can exclude insecure algorithms. If you want to use the old behaviour specify append_all_supported_algorithms => true [voidus, mfazekas]
  * New configuration option: :non_interactive => true in case you prefer an authmethod to fail rather than prompt. [mfazekas]
  * Configuration change: password will now ask for password up to the :number_of_password_prompts times. If you want the
  2.9.1 behaviour of never asking password please set number_of_password_prompts to 0.
  === 2.9.4-beta1
  * Use sysread and syswrite on Windows instead of read_nonblock and write [marc-etienne]
  * Windows/peagant: use fiddle on ruby 2.2+/windows [Charlie Savage]
  * Check if ssh key is a file [kiela]
  === 2.9.3
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.9.2
* Fri Oct 10 2014 fcastelli@suse.com
- update to new packaging scheme and add gem2rpm.yml
* Sun May 18 2014 coolo@suse.com
- updated to version 2.9.1
  * Fix for unknown response from agent on Windows with 64-bit PuTTY [chrahunt]
  * Support negative patterns in host lookup from the SSH config file [nirvdrum]
  * New ciphers [chr4]
  * Added host keys: ssh-rsa-cert-v01@openssh.com ssh-rsa-cert-v00@openssh.com ssh-ed25519-cert-v01@openssh.com ssh-ed25519
  * Added HMACs: hmac-sha2-512-etm@openssh.com hmac-sha2-256-etm@openssh.com umac-128-etm@openssh.com
  * Added Kex: aes256-gcm@openssh.com aes128-gcm@openssh.com curve25519-sha256@libssh.org
  * Added private key support for id_ed25519
  * IdentiesOnly will not disable ssh_agent - fixes #148 and new fix for #137 [mfazekas]
  * Ignore errors during ssh agent negotiation [simonswine, jasiek]
  * Added an optional "options" argument to test socket open method [jefmathiot]
  * Added gem signing (again) with new cert [delano]
  * Correct location of global known_hosts files [mfischer-zd]
  * Fix for password authentication [blackpond, zachlipton, delano]
* Sat Feb 22 2014 coolo@suse.com
- updated to version 2.8.0
  * Handle ssh-rsa and ssh-dss certificate files [bobveznat]
  * Correctly interpret /etc/ssh_config Authentication settings based on openssh /etc/ssh_config system defaults [therealjessesanford, liggitt]
  * Fixed pageant support for Windows [jarredholman]
  * Support %%r in ProxyCommand configuration in ssh_config files as defined in OpenSSH [yugui]
  * Don't use ssh-agent if :keys_only is true [SFEley]
  * Fix the bug in keys with comments [bobtfish]
  * Add a failing tests for options in pub keys [bobtfish]
  * Assert that the return value from ssh block is returned [carlhoerberg]
  * Don't close the connection it's already closed [carlhoerberg]
  * Ensure the connection closes even on exception [carlhoerberg]
  * Make the authentication error message more useful [deric]
  * Fix "ConnectionError" typo in lib/net/ssh/proxy/socks5.rb [mirakui]
  * Allow KeyManager to recover from incompatible agents [ecki, delano]
  * Fix for "Authentication Method determination can pick up a class from the root namespace" [dave.sieh]
* Fri Sep 13 2013 coolo@suse.com
- updated to version 2.7.0
  * Fix for 'Could not parse PKey: no start line' error on private keys with passphrases (issue #101) [metametaclass]
  * Automatically forward environment variables defined in OpenSSH config files [fnordfish]
  * Guard against socket.gets being nil in Net::SSH::Proxy::HTTP [krishicks]
  * Implemented experimental keepalive feature [noric]
* Wed Jul 31 2013 coolo@suse.com
- updated to version 2.6.8
  * Added support for host wildcard substitution [GabKlein]
  * Added a wait to the loop in close to help fix possible blocks [Josh Kalderimis]
  * Fixed test file encoding issues with Ruby 2.0 (#87) [voxik
* Sat Apr 13 2013 coolo@suse.com
- updated to version 2.6.7
  * Decreased default packet size to 32768 as described in RFC 4253 [Olipro]
  * Added max_pkt_size and max_win_size options to Net::SSH.start [Olipro]
* Sun Mar  3 2013 coolo@suse.com
- updated to version 2.6.6
  * Fix for ruby 2.0 in windows [jansegre]
* Tue Feb 12 2013 coolo@suse.com
- updated to version 2.6.5
* Thu Jan 24 2013 coolo@suse.com
- updated to version 2.6.3
  * Small doc fix and correct error class for PKey::EC key type [Andreas Wolff]
  * Improve test dependencies [Kenichi Kamiya]
* Wed Nov 28 2012 coolo@suse.com
- updated to version 2.6.2
* Mon Oct 29 2012 coolo@suse.com
- updated to version 2.6.1
  * removed dependency on jruby-pageant again, makes patch obsolete
  remove-jruby-dep.diff
* Tue Sep 25 2012 coolo@suse.com
- jruby-pageant is only a hack and not a gem and only required
  on java-win32, so remove the dependency:
    remove-jruby-dep.diff
* Sun Sep 23 2012 coolo@suse.com
- updated to version 2.6.0
  * Use OpenSSL::PKey.read to read arbitrary private key. [nagachika]
  * Check availability of UNIXSocket and UNIXServer for Windows [Nobuhiro IMAI]
  * Bump version to 2.5.3 and depend on newer jruby-pageant version for Java 1.5 compat. [arturaz]
  * Implementation of the "none"-authentication method [dubspeed]
  * Add class for stricter host key verification [Andy Brody]
* Wed Aug  1 2012 coolo@suse.com
- updated to version 2.5.2
  * Fix for Net::SSH::KnownHosts::SUPPORTED_TYPE [Marco Sandrini]
  * Added missing file to manifest [Marco Sandrini]
  * Implement many algorithms [Ryosuke Yamazaki]
  * Key Exchange
  * diffie-hellman-group14-sha1
  * ecdh-sha2-nistp{256,384,521}
  * Host Key
  * ecdsa-sha2-nistp{256,384,521}
  * Authentication
  * ecdsa-sha2-nistp{256,384,521}
  * HMAC
  * hmac-ripemd160
  * Cipher:
  * aes{128,192,256}-ctr
  * camellia{128,192,256}-ctr
  * blowfish-ctr
  * cast128-ctr
  * 3des-ctr
  * arcfour (has problems with weak keys, and should be used with caution)
  * camellia{128,192,256}-cbc
  * Support for JRuby + Pageant + Windows [arturaz]
* Tue Feb 21 2012 saschpe@suse.de
- Update to version 2.3.0
* Mon Jun 14 2010 mrueckert@suse.de
- additional changes from version 2.0.23
  * delay CHANNEL_EOF packet until output buffer is empty
    [Rich Lane]
  Previously, calling #eof! after #send_data would result in the
  CHANNEL_EOF packet being sent immediately, ahead of the data in
  the output buffer. Now buffer becomes empty.
- additional changes from version 2.0.22
  * Fix for: "Parsing the config errors out because it coerces the
    "1" into an integer and then tries to split it on spaces for
    multiple host checking."
    (http://net-ssh.lighthouseapp.com/projects/36253/tickets/10)
    [Lee Marlow]
- additional changes from version 2.0.21
  * Fix for "IdentifyFile" in ~/.ssh/config does not work if no
    "Host" statement is given
    (http://net-ssh.lighthouseapp.com/projects/36253/tickets/9-identifyfile-in-sshconfig-does-not-work-if-no-host-statement-is-given#ticket-9-5)
    [xbaldauf, Delano Mandelbaum]
  * Fix for client closes a forwarded connection, but the server is
    reading, net-ssh terminates with IOError socket closed
    (http://net-ssh.lighthouseapp.com/projects/36253/tickets/7)
    [Miklós Fazekas]
  * Fix for client force closes (RST) a forwarded connection, but
    server is reading, net-ssh terminates with exception
    [Miklós Fazekas]
  * Fix for server closes the sending side, the on_eof is not
    handled. [Miklós Fazekas]
  * Removed Hanna dependency in Rakefile [Delano Mandelbaum]
- additional changes from version 2.0.20
  * Support "ProxyCommand none" directive [Andy Lo-A-Foe]
- additional changes from version 2.0.19
  * Support plus sign in sshconfig hostname [Jason Weathered]
- additional changes from version 2.0.18
  * Fix related to #recv(1) to #readpartial change in 2.0.16 [Hans
    de Graaff, Delano Mandelbaum]
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- update to version 2.0.17
* Thu Mar 26 2009 mrueckert@suse.de
- update to version 2.0.11
* Mon Jan 26 2009 mrueckert@suse.de
- update to version 2.0.8
* Sun Aug  5 2007 mrueckert@suse.de
- update to version 1.1.2:
  * bug #6156 (ruby -w warnings)
  * bug #6667 (wrong SOCKS 5 auth version)
  * bug #10818 (Exception in split_data_for_packet)
  * bug #11250 (host key verification problems when an RSA key
    appears in the known hosts file, but the server has both DSS
    and RSA keys)
  * bug #11270 (error when server uses some aes ciphers)
  * bug #11355 (typo in session.rb)
  * bug #11532 (Hang after MSG_CHANNEL_OPEN_FAILURE)
* Tue May 22 2007 mrueckert@suse.de
- update to version 1.1.1:
  * Fixed broken mkdir in host key verification.
  * Fixed problems with Windows users getting "address family for
    hostname not supported" errors.
  * Added the missing rb-keygen utility
  * Server key verification (enabled by default, disable with
    :paranoid => false)
  * Add support for SSH agent forwwarding
* Wed Sep 13 2006 mrueckert@suse.de
- update to version 1.0.10:
  * Experiment with using read instead of sysread, to try and
    alleviate problems on Windows.
  * Use printf instead of echo -n in the shell service, for
    compatibility with more unices.
  * Give a sane error message when the user name is nil and
    cannot be derived from the environment.
  * Add a #connection accessor to the session.
  * Add initial support for server-originated global requests.
* Tue Jun 20 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 1.0.9
